<?xml version="1.0" encoding="utf-8"?>
<odoo>


	<record id="sf_install_the_tray_workorder_form_view_inherit" model="ir.ui.view">
		<field name="name">sale.order.inherit</field>
		<field name="model">mrp.workorder</field>
<!--		<field name="model">cnc.processing</field>-->
		<field name="inherit_id" ref="sf_manufacturing.view_mrp_production_workorder_tray_form_inherit_sf"/>
		<field name="arch" type="xml">
			<xpath expr="//field[@name='remark']" position="after">
<!--                <button string="测试按钮" name="pri" type="object" class="btn-primary"/>-->
<!--					<field name="workorder_id" invisible="1"/>-->
					<field name="user_permissions" invisible="1"/>
					<field name="state" invisible="1"/>
					<field name="button_state" attrs='{"invisible": ["|",("state","!=","progress"),
							("user_permissions","!=",True)]}' optional="hide"/>
<!-- 					<button string="下发" name="up" type="object" class="btn-primary" confirm="是否确认下发此程序" -->
<!-- 							attrs='{"invisible": ["|",("state","!=","progress"), -->
<!-- 							("user_permissions","!=",True)]}'/>					 -->
<!-- 							<button string="下发" name="up" type="object" class="btn-primary" confirm="是否确认下发此程序" context="{'default_cnc_ids': cnc_ids}"/> -->
    					<button string="下发" name="up" type="object" class="btn-primary" confirm="是否确认下发此程序"
    					context="{'default_sf_cnc_processing_id': id}" attrs='{"invisible": ["|",("state","!=","progress"),
							("user_permissions","!=",True)]}'/>
<!--					<button string="下发" name="up" type="object" class="btn-primary" confirm="是否确认下发此程序"-->
<!--							/>-->


            </xpath>
		</field>
	</record>
<!--	<record id="app_view_quotation_tree" model="ir.ui.view">-->
<!--		<field name="name">app.sale.order.form</field>-->
<!--		<field name="model">mrp.workorder</field>-->
<!--		<field name="inherit_id" ref="sf_manufacturing.view_mrp_production_workorder_tray_form_inherit_sf"/>-->
<!--		<field name="arch" type="xml">-->
<!--			<xpath expr="//page//field[@name='cnc_ids']//tree" position="attributes">-->
<!--				<attribute name="bg_colors">-->
<!--&lt;!&ndash;					Gold:state in ('sale');LightGreen:state in ('done')&ndash;&gt;-->
<!--					LightGreen:button_state is ('False')-->
<!--				</attribute>-->
<!--			</xpath>-->
<!--		</field>-->
<!--	</record>-->
</odoo>

